Retrascope RISC-V Benchmark - Bug #9482

ru.ispras.retrascope.sample.VexRiscvVexRiscvGaddTestCase: ERROR: Wrong number of out edges
for 'ru.ispras.retrascope.model.cfg.CfgBlockStatement@c219bf5': 2

02/07/2019 03:35 PM - Sergey Smolov

Status: Closed Start date: 02/07/2019
Priority: Normal Due date:

Assignee: Sergey Smolov % Done: 100%
Category: Retrascope Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Detected in build: master Published in build:

Platform:

Description

2019.02.07 16:11:06.524. INFO: Retrascope is starting
2019.02.07 16:11:06.524. INFO: Running: verilog-parser

2019.02.07 16:11:06.525. INFO: Options: {args=L:\work\retrascope-riscv\src\main\verilog\VexRiscv\V
exRiscv.v —--include-path L:\work\retrascope-riscv\src\main\verilog\VexRiscv --disable-backends ran
ged_switch --target gadd --module-name VexRiscv, v=[L:\work\retrascope-riscv\src\main\verilog\VexR
iscv\VexRiscv.v]}

2019.02.07 16:11:10.710. INFO: Storing: cfg
2019.02.07 16:11:10.710. INFO: Running: cfg-gadd-transformer

2019.02.07 16:11:10.710. INFO: Options: {args=L:\work\retrascope-riscv\src\main\verilog\VexRiscv\V
exRiscv.v —--include-path L:\work\retrascope-riscv\src\main\verilog\VexRiscv --disable-backends ran
ged_switch --target gadd --module-name VexRiscv, cfg=<cfg>}

2019.02.07 16:11:12.633. ERROR: Wrong number of out edges for 'ru.ispras.retrascope.model.cfg.CfgB
lockStatement@c219bf5': 2

2019.02.07 16:11:12.633. ERROR: The edge destinations are:
2019.02.07 16:11:12.633. ERROR: ru.ispras.retrascope.model.cfg.CfgBlockStatement@f33fe7f

2019.02.07 16:11:12.633. ERROR: ru.ispras.retrascope.model.cfg.CfgSwitchStatement@deéca7d0
java.lang.IllegalArgumentException

at ru.ispras.fortress.util.InvariantChecks.checkTrue (InvariantChecks. java:53)

at ru.ispras.fortress.util.InvariantChecks.checkTrue (InvariantChecks. java:38)

at ru.ispras.retrascope.engine.cfg.transformer.gadd.CfgGaddTransformerBuilder.applyToProcess (C
fgGaddTransformerBuilder. java:185)

at ru.ispras.retrascope.engine.cfg.transformer.gadd.CfgGaddTransformerBuilder.buildModule (CfgG
addTransformerBuilder. java:113)

at ru.ispras.retrascope.engine.cfg.transformer.gadd.CfgGaddTransformerBuilder.build (CfgGaddTra
nsformerBuilder. java:95)

at ru.ispras.retrascope.engine.cfg.transformer.gadd.CfgGaddTransformer.start (CfgGaddTransforme
r.Jjava:91)

at ru.ispras.retrascope.basis.Engine.start (Engine. java:361)

at ru.ispras.retrascope.basis.ToolChain.start (ToolChain.java:111)

at ru.ispras.retrascope.basis.Engine.start (Engine.java:361)

at ru.ispras.retrascope.Retrascope$ToolRun.start (Retrascope. java:220)

at ru.ispras.retrascope.Retrascope.main (Retrascope. java:461)

at ru.ispras.retrascope.Retrascope.main (Retrascope. java:378)

at ru.ispras.retrascope.util.ToolTest.runTest (ToolTest.java:113)

at ru.ispras.retrascope.BaseTest.runTest (BaseTest. java:79)

at ru.ispras.retrascope.sample.VexRiscvVexRiscvGaddTestCase.runTest (VexRiscvVexRiscvGaddTestCa
se.java:43)

History

#1 - 02/07/2019 03:35 PM - Sergey Smolov

05/19/2019 12




- Category set to Retrascope

#2 - 02/12/2019 06:19 PM - Sergey Smolov
- % Done changed from 0 to 100

- Status changed from New to Resolved

Fixed in commit:740ec6a1

#3 - 02/12/2019 06:19 PM - Sergey Smolov

- Status changed from Resolved to Closed
